Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
flows
/
vault
/
connections
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Flows.Vault;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.Vault.Connections.ListAsync(
            new ListFlowsVaultConnectionsRequestParameters {
                Page = 1,
                PerPage = 1,
                IncludeTotals = true
            }
        );
    }

}
[
  {
    "id": "<string>",
    "app_id": "<string>",
    "name": "<string>",
    "ready": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "fingerprint": "<string>",
    "account_name": "<string>",
    "refreshed_at": "2023-11-07T05:31:56Z"
  }
]

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

page
integer

Page index of the results to return. First page is 0.

Plage requise: 0 <= x <= 1000
per_page
integer

Number of results per page. Defaults to 50.

Plage requise: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

Réponse

Vault connections successfully retrieved.

id
string<flows-vault-connections-id>
requis

Flows Vault Connection identifier.

Maximum string length: 30
app_id
string
requis

Flows Vault Connection app identifier.

Required string length: 1 - 55
name
string
requis

Flows Vault Connection name.

Required string length: 1 - 150
ready
boolean
requis

Whether the Flows Vault Connection is configured.

created_at
string<date-time>
requis

The ISO 8601 formatted date when this Flows Vault Connection was created.

updated_at
string<date-time>
requis

The ISO 8601 formatted date when this Flows Vault Connection was updated.

fingerprint
string
requis
Minimum string length: 1
account_name
string

Flows Vault Connection custom account name.

Required string length: 1 - 150
refreshed_at
string<date-time>

The ISO 8601 formatted date when this Flows Vault Connection was refreshed.